public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/cli_helpers/
Date: Wed, 27 May 2020 07:03:21 +0000 (UTC)	[thread overview]
Message-ID: <1590562995.c65246af3beab16676437abe65163267a141c76b.mgorny@gentoo> (raw)

commit:     c65246af3beab16676437abe65163267a141c76b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed May 27 06:25:11 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed May 27 07:03:15 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c65246af

dev-python/cli_helpers: Bump to 2.0.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cli_helpers/Manifest                 |  1 +
 dev-python/cli_helpers/cli_helpers-2.0.0.ebuild | 35 +++++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/cli_helpers/Manifest b/dev-python/cli_helpers/Manifest
index ab47dcb5b66..ac694707858 100644
--- a/dev-python/cli_helpers/Manifest
+++ b/dev-python/cli_helpers/Manifest
@@ -1 +1,2 @@
 DIST cli_helpers-1.2.1.tar.gz 31104 BLAKE2B ded2b9b7825ddaeb33acf64b65362251f773a4a0a74aec1c79bdd8ef77f8f6953dd8761fd926f7a2b210c69534bee220f88e816dd63277b27db15b400510c9f3 SHA512 299fa4984b7c76e6be0527f040582242a746938f8725b6193895f9bbb835c82078658bbb8d1ea0000c26f3c8d2dad93139fd600e7c8d7c2d89777de27a5b26cf
+DIST cli_helpers-2.0.0.tar.gz 31320 BLAKE2B dbda2c7128ac7a5f21ce9f12f866cffde1be9a4bb422c1233b32d9f346c54a73df5e5ea7734cb64ca13f3aeec7c11678c8090499cb5aa4b6d385c4fbc394f8e9 SHA512 fadee3d356d5a687d2f618801f31d0cd4b6c9a4ea1fad4d5fed087a95c3343ab90622e6c246d9a3bd878bc8324d3e9b3626ed3f1436c5d68698562ff6abec3a5

diff --git a/dev-python/cli_helpers/cli_helpers-2.0.0.ebuild b/dev-python/cli_helpers/cli_helpers-2.0.0.ebuild
new file mode 100644
index 00000000000..0de3c188e8b
--- /dev/null
+++ b/dev-python/cli_helpers/cli_helpers-2.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Python helpers for common CLI tasks"
+HOMEPAGE="https://cli-helpers.rtfd.io/"
+SRC_URI="https://github.com/dbcli/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/configobj-5.0.5[${PYTHON_USEDEP}]
+	>=dev-python/pygments-2.4.0[${PYTHON_USEDEP}]
+	>=dev-python/tabulate-0.8.0[${PYTHON_USEDEP}]
+	>=dev-python/terminaltables-3.0.0[${PYTHON_USEDEP}]
+	dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? (
+		${RDEPEND}
+		>=dev-python/mock-2[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+	)"
+
+python_test() {
+	pytest -vv || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-05-27  7:03 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-05-27  7:03 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-27 16:29 [gentoo-commits] repo/gentoo:master commit in: dev-python/cli_helpers/ Michał Górny
2023-07-30 17:09 Sam James
2022-11-19 16:52 Michał Górny
2022-11-19 16:52 Michał Górny
2022-10-13 17:09 Michał Górny
2022-05-25 18:01 Arthur Zamarin
2022-02-11 19:43 Jakov Smolić
2022-02-11 19:42 Jakov Smolić
2022-02-11 19:42 Jakov Smolić
2022-01-18  9:51 Michał Górny
2021-10-04  8:05 Michał Górny
2021-10-04  0:49 Sam James
2021-10-03 18:48 Sam James
2021-08-28  6:53 Michał Górny
2021-05-23 13:41 Michał Górny
2020-12-17 21:02 Brian Evans
2020-12-17  2:39 Sam James
2020-12-03 17:37 Thomas Deutschmann
2020-11-17  0:08 Michał Górny
2020-07-30  6:03 Michał Górny
2020-07-30  6:03 Michał Górny
2020-05-28  7:19 Michał Górny
2020-03-17  7:23 Michał Górny
2020-01-16  6:05 Michał Górny
2020-01-16  6:05 Michał Górny
2020-01-16  6:05 Michał Górny
2019-08-11  8:31 Michał Górny
2019-07-07 13:10 Michał Górny
2019-07-07 13:10 Michał Górny
2019-07-07 13:10 Michał Górny
2019-07-07 13:10 Michał Górny
2017-12-27 14:42 Brian Evans
2017-11-07 19:03 Zac Medico
2017-07-05 15:04 Brian Evans

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1590562995.c65246af3beab16676437abe65163267a141c76b.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox